. ./vars.sh

cat << EOF > Search.config
--Java::location /home/rclausen/java/jdk1.7.0_10/bin/java
--BBQ::class_path /home/rclausen/SupportingSoftware/BBQ/
--ROSETTA::path /home/rclausen/SupportingSoftware/rosetta3.4

--ProteinPCAModule::residues CA
--ProteinPCAModule::start ${RES_START}
--ProteinPCAModule::end ${RES_END}
--ProteinPCAModule::template_file ${PDB_TMP}
--ProteinPCAModule::basis_file basis.bs
--ProteinPCAModule::PCA_dim ${PCA_DIM}

--Search SearchPop
--Search::seed::dir ${DATA_DIR}

#need to make sure its replacing the initial 46 and then growing to 500, not sure if thats the case (this has been updated but not tested)
--Search::Init AlterSeqPop
--Init::AlterSeqPop::0 AlterSeqPop #needs to be fixed because not a Alter (maybe make a conversion object?)
--Init::AlterSeqPop::0::0 A2P_pop
--Init::AlterSeqPop::0::0::with PerturbAllBreedPop
--Init::AlterSeqPop::0::0::PerturbAllBreedPop::with PerturbProtPCA
--Init::AlterSeqPop::0::0::PerturbAllBreedPop::PerturbProtPCA::ProteinPCAModule global
--Init::AlterSeqPop::0::1 RelaxCoordinatorPerturb
--Init::AlterSeqPop::0::1::tmp_dir Output/relax_folder

--Init::AlterSeqPop::1 FillPop
--Init::AlterSeqPop::1::size ${POP_SIZE}
--Init::AlterSeqPop::1::with PerturbSeqPop
--Init::AlterSeqPop::1::PerturbSeqPop::0 PerturbAllBreedPop
--Init::AlterSeqPop::1::PerturbSeqPop::0::with PerturbProtPCA
--Init::AlterSeqPop::1::PerturbSeqPop::0::PerturbProtPCA::ProteinPCAModule global
--Init::AlterSeqPop::1::PerturbSeqPop::0::PerturbProtPCA::with PerturbPCA
--Init::AlterSeqPop::1::PerturbSeqPop::0::PerturbProtPCA::PerturbPCA::step_size ${STEP_SIZE}
--Init::AlterSeqPop::1::PerturbSeqPop::0::PerturbProtPCA::PerturbPCA::weights::file basis.bs
--Init::AlterSeqPop::1::PerturbSeqPop::1 RelaxCoordinatorPerturb
--Init::AlterSeqPop::1::PerturbSeqPop::1::tmp_dir Output/relax_folder

#need to perturb pca and then use RelacCoordinator
--Search::Perturb PerturbSeqPop
--Perturb::PerturbSeqPop::0 PerturbAllBreedPop
--Perturb::PerturbSeqPop::0::with PerturbProtPCA
--Perturb::PerturbSeqPop::0::PerturbProtPCA::ProteinPCAModule global
--Perturb::PerturbSeqPop::0::PerturbProtPCA::with PerturbPCA
--Perturb::PerturbSeqPop::0::PerturbProtPCA::PerturbPCA::step_size ${STEP_SIZE}
--Perturb::PerturbSeqPop::0::PerturbProtPCA::PerturbPCA::weights::file basis.bs
--Perturb::PerturbSeqPop::1 RelaxCoordinatorPerturb
--Perturb::PerturbSeqPop::1::tmp_dir Output/relax_folder

--Search::Accept HistMergePopPCA
--Accept::HistMergePopPCA::layers ${LAYERS}
--Accept::HistMergePopPCA::bin::X::width ${BIN_SIZE}
--Accept::HistMergePopPCA::bin::X::offset 0
--Accept::HistMergePopPCA::bin::Y::width ${BIN_SIZE}
--Accept::HistMergePopPCA::bin::Y::offset 0
--Accept::HistMergePopPCA::report_dir Output
--Accept::HistMergePopPCA::ProteinPCAModule global

--Search::Finished FinishedCycleNumPop
--Finished::FinishedCycleNumPop::cycle_num ${CYCLES}
EOF